#* @Name Env Create Properties
#* @Description 최초 환경설정시 사용 프로퍼티.
#* @Danger 테스트 금지입니다. DDL CREATE
#* @Author JangWonSeok
#* @CreateDate 2022. 11. 10.
Server:
  host: localhost
  port: 8050

spring:
  config:
    activate:
      on-profile: dev
  datasource:
    #    url: jdbc:log4jdbc:mysql://dev-ics-db.c9i6xgmcxx18.ap-northeast-2.rds.amazonaws.com/UPLUS_CINNAMON
    url: jdbc:log4jdbc:mysql://rdsinst-dev-aisb-db-az2c-instance-1.ctgq4zvwl9iz.ap-northeast-2.rds.amazonaws.com/ICS_CINNAMON3
#    url: jdbc:log4jdbc:mysql://rdsinst-dev-aisb-db-az2c-instance-1.ctgq4zvwl9iz.ap-northeast-2.rds.amazonaws.com/migrationUplus
    username: aistore
    password: roqkf123!!!
    owner: ICS_DEV
    driver-class-name: net.sf.log4jdbc.DriverSpy
    #    driver-class-name: oracle.jdbc.driver.OracleDriver
    type: org.apache.tomcat.jdbc.pool.DataSource
    hikari:
      maximum-pool-size: 10
      connection-timeout: 60000

  jpa:
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        #        dialect: org.hibernate.dialect.Oracle10gDialect
        #dialect: org.hibernate.dialect.MySQL57Dialect
        dialect: com.icomsys.main_vm.common.util.CustomDialect
#https://docs.jboss.org/hibernate/orm/3.5/javadocs/org/hibernate/dialect/package-summary.html

feign:
  url:
    test: http://localhost:8014
    cinnamon: http://127.0.0.1:8080
    nlp: http://172.31.34.38:17500/ichatApi
    s3Bucket: s3-dev-aisb-soe
    bgmpath: bgm/
    selvas: 172.31.34.52
    ttsport: 7890
    sttport: 9999

file:
  path: /logs/was/aicb/cinnamon_ui/files/

nlpapi: true

Globals:
  profiles:
    active: 'dev'

cloud:
  aws:
    stack:
      auto: false
#    credentials:
#      instance-profile: false
#      use-default-aws-credentials-chain: true